Bug 1306827 - OSP: Pencil icon during Assign Nodes is broken
OSP: Pencil icon during Assign Nodes is broken
Status: VERIFIED
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: WebUI (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity unspecified
: TP3
: 1.0
Assigned To: cchase
Tasos Papaioannou
: Triaged
Depends On:
Blocks: rhci-sprint-14
  Show dependency treegraph
 
Reported: 2016-02-11 14:55 EST by Matt Reid
Modified: 2016-04-29 12:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error message (57.63 KB, image/png)
2016-02-11 14:57 EST, Matt Reid
no flags Details

  None (edit)
Description Matt Reid 2016-02-11 14:55:45 EST
Description of problem:
Clicking on the pencil icon during Assign Nodes in OSP results in a TypeError: this.getParamValue is not a function
http://ip:port/assets/fusor-ember-cli.js
Line 2154

I think this used to work, but maybe broke at some point? Clicking the pencil icon right now does nothing except throw the above error you can see in Firebug.

Version-Release number of selected component (if applicable):
current mocked env

How reproducible:
always
Comment 1 Matt Reid 2016-02-11 14:57 EST
Created attachment 1123288 [details]
Error message
Comment 2 cchase 2016-03-17 09:20:46 EDT
This should be fixed in https://github.com/fusor/fusor/pull/680 and I'm not currently reproducing it.
Comment 3 John Matthews 2016-04-05 10:06:26 EDT
In TP3 RC2
Comment 4 Tasos Papaioannou 2016-04-11 15:01:18 EDT
Verified on QCI-1.0-RHEL-7-20160329.t.0.

Note You need to log in before you can comment on or make changes to this bug.